eio_readlink
eio_rename
Eio Functions
PHP Manual

# eio_realpath

(PECL eio >= 0.0.1dev)

eio_realpath — Get the canonicalized absolute pathname.

### Description

resource eio_realpath ( string `$path` , int `$pri` , callable `$callback` [, string `$data` = NULL ] )

eio_realpath() returns the canonicalized absolute pathname in `result` argument of `callback` function.

### Parameters

`path`

  Short pathname

`pri`

`callback`

`data`

### Return Values

### Examples

Example #1 eio_realpath() example

`<?php
var_dump(getcwd());
function my_realpath_allback($data, $result) {
var_dump($result);
}
eio_realpath("../", EIO_PRI_DEFAULT, "my_realpath_allback");
eio_event_loop();
?>`

The above example will output something similar to:

    string(12) "/home/ruslan"
    string(5) "/home"

eio_readlink
eio_rename
Eio Functions
PHP Manual